//  FILE:       SMExecute.h
//              Microsoft TPC-H Kit Ver. 1.00
//              Copyright Microsoft, 1999
//              All Rights Reserved
//
//
//  PURPOSE:    Common include file for Execute.cpp and ExecuteDll.cpp
//  Contact:    Reshma Tharamal (reshmat@microsoft.com)
// 

#pragma once

// ODBC-specific includes 
#define DBNTWIN32
#include <sqltypes.h>
#include <sql.h>
#include <sqlext.h>

#define CONNECTION_NAME_LEN 256         // connection name length

typedef struct _SM_Connection_Info
{
	char	szConnectionName[CONNECTION_NAME_LEN];
	HDBC	hdbc;
	BOOL	bInUse;
} SM_Connection_Info;

